ResourceManifest version numbers

Topics: General
May 14, 2015 at 12:29 AM
Edited May 14, 2015 at 12:29 AM
Just found an interesting thing in v1.9

In the ResourceManifest.cs file of one of my themes, I had a script and a style referenced with: .SetVersion("1") since that is the actual version number for the plugin.

Orchard v1.9 throws an error: Version string portion was too short or too long.

Updating those version numbers to .SetVersion("1.0") resolves the error.

So just an FYI if anyone else runs into this when upgrading...make sure that your version numbers referenced in ResourceManifest are at least "#.#"
May 15, 2015 at 5:27 PM
Could you open an issue about this please here?
May 18, 2015 at 7:58 PM
I have similar problem with the following error:

Input string was not in a correct format.
src\Orchard\UI\Resources\ResourceManager.cs Line: 199

I think this is because i had some non integer versions in my modules for Orchard 1.8.1 such as "1.4.0-rc.0".